Subject: I-D Action: draft-ietf-6man-deprecate-atomfrag-generation-01.txt

From: [email-masked]
Date: Mon, 27 Apr 2015 17:55:29 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the IPv6 Maintenance Working Group of the IETF.

        Title           : Deprecating the Generation of IPv6 Atomic Fragments
        Authors         : Fernando Gont
                          Will(Shucheng) Liu
                          Tore Anderson
	Filename        : draft-ietf-6man-deprecate-atomfrag-generation-01.txt
	Pages           : 17
	Date            : 2015-04-27

Abstract:
   The core IPv6 specification requires that when a host receives an
   ICMPv6 "Packet Too Big" message reporting a "Next-Hop MTU" smaller
   than 1280, the host includes a Fragment Header in all subsequent
   packets sent to that destination, without reducing the assumed Path-
   MTU.  The simplicity with which ICMPv6 "Packet Too Big" messages can
   be forged, coupled with the widespread filtering of IPv6 fragments,
   results in an attack vector that can be leveraged for Denial of
   Service purposes.  This document briefly discusses the aforementioned
   attack vector, and formally updates RFC2460 such that generation of
   IPv6 atomic fragments is deprecated, thus eliminating the
   aforementioned attack vector.  Additionally, it formally updates
   RFC6145 such that the Stateless IP/ICMP Translation Algorithm (SIIT)
   does not rely on the generation of IPv6 atomic fragments, thus
   improving the robustness of the protocol.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-6man-deprecate-atomfrag-generation/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-6man-deprecate-atomfrag-generation-01

A diff from the previous version is available at:
https:https://www.ietf.org/rfcdiff?url2=draft-ietf-6man-deprecate-atomfrag-generation-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/